Rensei docs
API ReferenceAgent Cards

Fork an installed reference agent card into a new owned identity.

Creates a new project-owned fork from an installed reference pin. The fork has a new content item and version identity and never receives source updates.

POST
/api/agent-cards/{id}/fork

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

id*string

The installed reference agent-card id.

Request Body

application/json
  1. body
name?string
description?string|null
workflowId?string

Response Body

The new fork card and marketplace identity.

Example Request
curl -X POST 'https://app.rensei.ai/api/agent-cards/string/fork' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty